import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Controls 2.0

Window {
	visible: true
	width: 640
	height: 480
	title: qsTr("Text Edit")

	Column {
		id: root
		anchors.centerIn: parent

		spacing: 50

		TextEdit
		{
			id: text1
			text: "<a href=https://doc.qt.io/qt-5/qml-qtquick-controls-textarea.html>link text</a>"
			textFormat: TextEdit.RichText
			font.pixelSize: 14
			readOnly: true
			onLinkActivated: Qt.openUrlExternally(link)
			onHoveredLinkChanged: console.log("link hovered")

			MouseArea {
				anchors.fill: parent
				hoverEnabled: true
				acceptedButtons: Qt.NoButton
				cursorShape: text1.hoveredLink ? Qt.PointingHandCursor : Qt.IBeamCursor
			}
		}

		TextEdit
		{
			id: text2
			text: "Hello hello hello hello hello hello hello hello hello <br> <a href=https://doc.qt.io/qt-5/qml-qtquick-controls-textarea.html>link text</a> <br> Hello hello hello hello hello hello hello"
			textFormat: TextEdit.RichText
			font.pixelSize: 14
			readOnly: true
			onLinkActivated: Qt.openUrlExternally(link)
			onHoveredLinkChanged: console.log("link hovered")

			MouseArea {
				anchors.fill: parent
				hoverEnabled: true
				acceptedButtons: Qt.NoButton
				cursorShape: text1.hoveredLink ? Qt.PointingHandCursor : Qt.IBeamCursor
			}
		}
	}
}
